> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a contract annex

> Creates a new annex for an existing contract. Annexes represent modifications to the original contract terms.



## OpenAPI

````yaml POST /contract/v1/contracts/{contractId}/annexes
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /contract/v1/contracts/{contractId}/annexes:
    post:
      tags:
        - Contract Annexes
      summary: Create a contract annex
      description: >-
        Creates a new annex for an existing contract. Annexes represent
        modifications to the original contract terms.
      operationId: CreateContractAnnex
      parameters:
        - name: contractId
          in: path
          required: true
          description: The ID of the contract
          schema:
            type: string
            format: uuid
      requestBody:
        description: Contract annex object that needs to be created
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                startAt:
                  type: string
                  format: date
                  description: Start date of the annex
                endAt:
                  type: string
                  format: date
                  description: End date of the annex
                expiredAt:
                  type: string
                  format: date
                  description: Expiration date of the annex
                jobChargeId:
                  type: string
                  format: uuid
                  description: The ID of the job charge
                workdayTypeId:
                  type: string
                  format: uuid
                  description: The ID of the workday type
                contractTypeId:
                  type: string
                  format: uuid
                  description: The ID of the contract type
                agreementId:
                  type: string
                  format: uuid
                  description: The ID of the agreement
                degreeId:
                  type: string
                  format: uuid
                  description: The ID of the degree
                jobLevelId:
                  type: string
                  format: uuid
                  description: The ID of the job level
                holidays:
                  type: integer
                  minimum: 0
                  maximum: 99
                  description: Number of holidays
                comment:
                  type: string
                  maxLength: 500
                  description: Comments about the annex
                code:
                  type: string
                  description: Code of the annex
                socialSecurityNumber:
                  type: string
                  description: The social security number
                cbo:
                  type: string
                  pattern: ^\d{4}(-\d{2})?$
                  description: Brazilian occupation code (CBO)
                remoteWork:
                  type: boolean
                  description: Whether remote work is allowed
                seniorityDate:
                  type: string
                  format: date
                  description: Seniority date
                jobPositionDescription:
                  type: string
                  maxLength: 500
                  description: The job position description
                weeklyHours:
                  type: number
                  format: float
                  description: Weekly working hours
                maxLegalWeeklyHours:
                  type: number
                  format: float
                  description: Max legal weekly working hours
                maxLegalAnnualHours:
                  type: number
                  format: float
                  description: Max legal annual working hours
                percentageWorkDay:
                  type: number
                  format: float
                  description: Percentage of workday
                fte:
                  type: number
                  format: float
                  minimum: 0
                  maximum: 1
                  description: The FTE value should be between 0 and 1
                workDays:
                  type: array
                  items:
                    type: object
                    properties:
                      day:
                        type: string
                        description: Day of the week
                        enum:
                          - monday
                          - tuesday
                          - wednesday
                          - thursday
                          - friday
                          - saturday
                          - sunday
                      hour:
                        type: number
                        format: float
                        description: Total hour to work in the day
                    required:
                      - day
                      - hour
                  description: Working days configuration
                trialPeriod:
                  type: object
                  properties:
                    trialPeriodType:
                      type: string
                      example: months
                    quantity:
                      type: number
                      example: '6'
                trialPeriodEndDate:
                  type: string
                  format: date
                  description: End date of the trial period
                details:
                  type: string
                  maxLength: 500
                  description: Additional details about the annex
              required:
                - startAt
      responses:
        '200':
          description: Contract annex created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                        description: The unique identifier of the created annex
                  meta:
                    type: object
                    properties:
                      currentPage:
                        type: integer
                        example: 1
                      lastPage:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 1
                      perPage:
                        type: integer
                        example: 1
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````